/*
////////////////////////////////////////////////////////////////////////////////////
//                                                                                //
//  PROGRAMMA: CIVIL DESIGN - Modulo Spianamenti e Sbancamenti                    //
//                                                                                //
//  FILE: PCVOLVEL.DCL    definizione dialog box per gestione input e output co-  //
//                        mando calcolo volume veloce triangoli                   //
//                                                                                //
//  HighC Metaware Ver. 1.71                                                      //
//                                                                                //
//  Scritto da: Arianna Nini & Stefania Martinelli                                //
//                                                                                //
//  RELEASE: 2.00     DATA: luglio 1994  AGGIORNAMENTO:  aprile 1995              //
//                                                                                //
//  COPYRIGHT    (C)  DIGICORP Ingegneria S.r.l. - 1994                           //
//                                                                                //
////////////////////////////////////////////////////////////////////////////////////
*/
/* ----------------------------- PCVolVel ----------------------------------*/
/* gestisce dati in input e in output del calcolo volume di un modello a    */
/* triangoli (3dface)                                                       */
PCVolVel : dialog
	   {
	    label = "Calcolo volumi su modelli";
	    initial_focus = "quota";
	    : boxed_column
	      {
	       label = "Dati in input";
	       : row
		 {
		  : text
		    {
		     label = "Area impronta polilinea: ";
		     width = 25;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "0.0";
		     width = 13;
		     key = "areapoly";
		     fixed_width = true;
		     alignment = left;
		    }
		  : text
		    {
		     label = "";
		     width = 34;
		    }
		 } /* row */
	       : row
		 {
		  : text
		    {
		     value = "Layer DTM superiore: ";
		     width = 22;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "";
		     width = 16;
		     key = "laymods";
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "N.tri.: ";
		     width = 8;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "0";
		     width = 5;
		     key = "triangolis";
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "Q.med.: ";
		     width = 8;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "0.0";
		     width = 10;
		     key = "qms";
		     fixed_width = true;
		    }
		 } /* row */
	       : row
		 {
		  : text
		    {
		     value = "Layer DTM inferiore: ";
		     width = 22;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "";
		     width = 16;
		     key = "laymodi";
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "N.tri.: ";
		     width = 8;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "0";
		     width = 5;
		     key = "triangolii";
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "Q.med.: ";
		     width = 8;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "0.0";
		     width = 10;
		     key = "qmi";
		     fixed_width = true;
		    }
		 } /* row */
	       : row
		 {
		  : text
		    {
		     value = "Quota di riferimento: ";
		     width = 22;
		    }
		  : edit_box
		    {
		     value = "0.00";
		     key = "qrif";
		     edit_width = 15;
		    }
		  /* testo inserito solo per estetica riquadro */
		  : text
		    {
		     value = "";
		     width = 14;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "Q.min.: ";
		     width = 8;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "0.0";
		     width = 10;
		     key = "qmin";
		     fixed_width = true;
		    }
		 } /* row */
	       : boxed_row
		 {
		  label = "Decimali per i calcoli";
		  : row
		    {
		     : text
		       {
			value = "Distanza: ";
			width = 10;
		       }
		     : edit_box
		       {
			value = "2";
			key = "decdist";
			edit_width = 5;
		       }
		     : text
		       {
			value = "";
			width = 12;
		       }
		     : text
		       {
			value = "Area: ";
			width = 6;
		       }
		     : edit_box
		       {
			value = "2";
			key = "decarea";
			edit_width = 5;
		       }
		     : text
		       {
			value = "";
			width = 12;
		       }
		     : text
		       {
			value = "Volume: ";
			width = 8;
		       }
		     : edit_box
		       {
			value = "3";
			key = "decvol";
			edit_width = 5;
		       }
		    } /* row */
		 } /* boxed_row */
	      } /* boxed_row */
	    : boxed_column
	      {
	       label = "Dati in output";
	       : row
		 {
		  : text
		    {
		     label = "DTM sup.:   ";
		     width = 12;
		    }
		  : text
		    {
		     label = "Area [mq]:  ";
		     width = 12;
		    }
		  : text
		    {
		     value = "           0.0";
		     key = "areamods";
		     width = 14;
		    }
		  : text
		    {
		     label = " Volume [mc]: ";
		     width = 13;
		    }
		  : text
		    {
		     value = "             0.0";
		     key = "volmods";
		     width = 16;
		    }
		 } /* row */
	       : row
		 {
		  : text
		    {
		     label = "DTM inf.:   ";
		     width = 12;
		    }
		  : text
		    {
		     label = "Area [mq]:  ";
		     width = 12;
		    }
		  : text
		    {
		     value = "           0.0";
		     key = "areamodi";
		     width = 14;
		    }
		  : text
		    {
		     label = " Volume [mc]: ";
		     width = 13;
		    }
		  : text
		    {
		     value = "             0.0";
		     key = "volmodi";
		     width = 16;
		    }
		 } /* row */
	       : row
		 {
		  : text
		    {
		     label = "Differenze: ";
		     width = 12;
		    }
		  : text
		    {
		     label = "Area [mq]:  ";
		     width = 12;
		    }
		  : text
		    {
		     value = "           0.0";
		     key = "areadif";
		     width = 14;
		    }
		  : text
		    {
		     label = " Volume [mc]: ";
		     width = 13;
		    }
		  : text
		    {
		     value = "             0.0";
		     key = "voldif";
		     width = 16;
		    }
		 } /* row */
	      } /* boxed_row */
	    : row
	      {
	       : text
		 {
		  key = "msg";
		  width = 42;
		 value = "";
		 }
	       : text
		 {
		  key = "msg_tri";
		  width = 23;
		 value = "";
		 }
	      }
	    : text
	      {
	       key = "msg_err";
	       width = 65;
	       value = "";
	      }
	    : row
	      {
	       : button
		 {
		  label = "Calcola";
		  key = "Calcola";
		 } /* button */
	       : button
		 {
		  label = "Stampa...";
		  key = "Stampa";
		 } /* button */
	       : button
		 {
		  label = "OK";
		  key = "accept";
		  is_default = true;
		 } /* button */
	       : button
		 {
		  label = "Annulla";
		  key = "cancel";
		  is_cancel = true;
		 } /* button */
		: button
		 {
		  label = "?";
		  key = "help";
		  /*is_cancel = true;*/
		 } /* button */
	      } /* row */
	   } /* fine dialog */

/* ----------------------------- DDStampaVV --------------------------------*/
/* gestisce dati per la stampa dei calcoli volumi modelli                   */
/* richiamata dal pulsante 'Stampa...' del riquadro precedente              */
DDStampaVV : dialog
	   {
	    label = "Stampa volumi modelli";
	    : row
	      {
	       : boxed_radio_column
		 {
		  label = "Tipo stampa";
		  key = "stampa";
		  : radio_button
		    {
		     label = "Veloce";
		     key = "svel";
		     value = 1;
		    }
		   : radio_button
		     {
		      label = "Dettagliata";
		      key = "sdett";
		      value = 0;
		     }
		   : radio_button
		     {
		      label = "Riepilogo";
		      key = "sriep";
		      value = 0;
		     }
		 } /* boxed_radio column */
	       : column
		 {
		  : boxed_column
		    {
		     label = "Disegno";
		     : toggle
		       {
			label = "Numero su triangoli";
			key = "numtri";
			value = "0";
		       } /* toggle */
		     : row
		       {
			: text
			  {
			   value = "Layer sup.: ";
			   key = "tlaytris";
			   is_enabled = false;
			   fixed_width = true;
			   width = 12;
			  }
			: text
			  {
			   value = "";
			   key = "laynumtris";
			   fixed_width = true;
			   width = 20;
			   is_enabled = false;
			  }
			: button
			  {
			   label = "Seleziona...";
			   key = "SelLayerS";
			   is_enabled = false;
			  } /* button */
		       } /* row */
		     : row
		       {
			: text
			  {
			   value = "Layer inf.: ";
			   key = "tlaytrii";
			   is_enabled = false;
			   fixed_width = true;
			   width = 12;
			  }
			: text
			  {
			   value = "";
			   key = "laynumtrii";
			   fixed_width = true;
			   width = 20;
			   is_enabled = false;
			  }
			: button
			  {
			   label = "Seleziona...";
			   key = "SelLayerI";
			   is_enabled = false;
			  } /* button */
		       } /* row */
		    } /* boxed_column */
		  : text
		    {
		     label = "";
		    }
		 } /* column */
	      } /* row */
	    : text
	      {
	       value = "";
	       key = "msg_err";
	       width = 65;
	      }
	    : row
	      {
	       : button
		 {
		  label = "Imposta Stampante...";
		  key = "ImpStampa";
		 } /* button */
	       : button
		 {
		  label = "OK";
		  key = "accept";
		  is_default = true;
		 } /* button */
	       : button
		 {
		  label = "Annulla";
		  key = "cancel";
		  is_cancel = true;
		 } /* button */
	      } /* row */
	   } /* dialog */
/* ----------------------------- PCVolVel ----------------------------------*/
/* gestisce dati in input e in output del calcolo volume di un modello a    */
/* triangoli (3dface)                                                       */
PCVolVelR : dialog
	   {
	    label = "Calcolo volumi su modelli";
	    initial_focus = "quota";
	    : boxed_column
	      {
	       label = "Dati in input";
	       : row
		 {
		  : text
		    {
		     label = "Area impronta polilinea: ";
		     width = 25;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "0.0";
		     width = 13;
		     key = "areapoly";
		     fixed_width = true;
		     alignment = left;
		    }
		  : text
		    {
		     label = "";
		     width = 34;
		    }
		 } /* row */
	       : row
		 {
		  : text
		    {
		     value = "Layer DTM : ";
		     width = 22;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "";
		     width = 16;
		     key = "laymods";
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "N.tri.: ";
		     width = 8;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "0";
		     width = 5;
		     key = "triangolis";
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "Q.med.: ";
		     width = 8;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "0.0";
		     width = 10;
		     key = "qms";
		     fixed_width = true;
		    }
		 } /* row */
	       : row
		 {
		  : text
		    {
		     value = "Quota di riferimento: ";
		     width = 22;
		    }
		  : edit_box
		    {
		     value = "0.00";
		     key = "qrif";
		     edit_width = 15;
		    }
		  /* testo inserito solo per estetica riquadro */
		  : text
		    {
		     value = "";
		     width = 14;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "Q.min.: ";
		     width = 8;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "0.0";
		     width = 10;
		     key = "qmin";
		     fixed_width = true;
		    }
		 } /* row */
	       : boxed_row
		 {
		  label = "Decimali per i calcoli";
		  : row
		    {
		     : text
		       {
			value = "Distanza: ";
			width = 10;
		       }
		     : edit_box
		       {
			value = "2";
			key = "decdist";
			edit_width = 5;
		       }
		     : text
		       {
			value = "";
			width = 12;
		       }
		     : text
		       {
			value = "Area: ";
			width = 6;
		       }
		     : edit_box
		       {
			value = "2";
			key = "decarea";
			edit_width = 5;
		       }
		     : text
		       {
			value = "";
			width = 12;
		       }
		     : text
		       {
			value = "Volume: ";
			width = 8;
		       }
		     : edit_box
		       {
			value = "3";
			key = "decvol";
			edit_width = 5;
		       }
		    } /* row */
		 } /* boxed_row */
	      } /* boxed_row */
	    : spacer {height = 1;}
	    : boxed_column
	      {
	       label = "Dati in output";
	       : row
		 {
		  : text
		    {
		     label = "DTM :   ";
		     width = 12;
		    }
		  : text
		    {
		     label = "Area [mq]:  ";
		     width = 12;
		    }
		  : text
		    {
		     value = "           0.0";
		     key = "areamods";
		     width = 14;
		    }
		  : text
		    {
		     label = " Volume [mc]: ";
		     width = 13;
		    }
		  : text
		    {
		     value = "             0.0";
		     key = "volmods";
		     width = 16;
		    }
		 } /* row */
	      } /* boxed_row */
	    : row
	      {
	       : text
		 {
		  key = "msg";
		  width = 42;
		 value = "";
		 }
	       : text
		 {
		  key = "msg_tri";
		  width = 23;
		 value = "";
		 }
	      }
	    : text
	      {
	       key = "msg_err";
	       width = 65;
	       value = "";
	      }
	    : row
	      {
	       : button
		 {
		  label = "Calcola";
		  key = "Calcola";
		 } /* button */
	       : button
		 {
		  label = "Stampa...";
		  key = "Stampa";
		 } /* button */
	       : button
		 {
		  label = "OK";
		  key = "accept";
		  is_default = true;
		 } /* button */
	       : button
		 {
		  label = "Annulla";
		  key = "cancel";
		  is_cancel = true;
		 } /* button */
		: button
		 {
		  label = "?";
		  key = "help";
		  /*is_cancel = true;*/
		 } /* button */
	      } /* row */
	   } /* fine dialog */
/* ----------------------------- DDStampaVV --------------------------------*/
/* gestisce dati per la stampa dei calcoli volumi modelli                   */
/* richiamata dal pulsante 'Stampa...' del riquadro precedente              */
DDStampaVVR : dialog
	   {
	    label = "Stampa volumi modelli";
	    : row
	      {
	       : boxed_radio_column
		 {
		  label = "Tipo stampa";
		  key = "stampa";
		  : radio_button
		    {
		     label = "Veloce";
		     key = "svel";
		     value = 1;
		    }
		   : radio_button
		     {
		      label = "Dettagliata";
		      key = "sdett";
		      value = 0;
		     }
		 } /* boxed_radio column */
	       : column
		 {
		  : boxed_column
		    {
		     label = "Disegno";
		     : toggle
		       {
			label = "Numero su triangoli";
			key = "numtri";
			value = "0";
		       } /* toggle */
		     : row
		       {
			: text
			  {
			   value = "Layer : ";
			   key = "tlaytris";
			   is_enabled = false;
			   fixed_width = true;
			   width = 12;
			  }
			: text
			  {
			   value = "";
			   key = "laynumtris";
			   fixed_width = true;
			   width = 20;
			   is_enabled = false;
			  }
			: button
			  {
			   label = "Seleziona...";
			   key = "SelLayerS";
			   is_enabled = false;
			  } /* button */
		       } /* row */
		    } /* boxed_column */
		  : text
		    {
		     label = "";
		    }
		 } /* column */
	      } /* row */
	    : text
	      {
	       value = "";
	       key = "msg_err";
	       width = 65;
	      }
	    : row
	      {
	       : button
		 {
		  label = "Imposta Stampante...";
		  key = "ImpStampa";
		 } /* button */
	       : button
		 {
		  label = "OK";
		  key = "accept";
		  is_default = true;
		 } /* button */
	       : button
		 {
		  label = "Annulla";
		  key = "cancel";
		  is_cancel = true;
		 } /* button */
	      } /* row */
	   } /* dialog */
/* ----------------------------- PCVolSR ----------------------------------*/
/* gestisce dati in input e in output del calcolo volume di un modello a    */
/* triangoli (3dface)                                                       */
PCVolSR : dialog
{
	label = "Calcolo di volumi di sterro e riporto fra modelli";
	initial_focus = "quota";
	: boxed_column
	{
	    	label = "Dati in input";
	    	: row
		{
		  	: text
		    	{
		     		label = "Area impronta polilinea: ";
		     		width = 25;
		     		fixed_width = true;
		    	}
		  	: text
		    	{
		     		value = "0.0";
		     		width = 13;
		     		key = "areapoly";
		     		fixed_width = true;
		     		alignment = left;
		    	}
		  	: text
		    	{
		     		label = "";
		     		width = 34;
		    	}
		 } /* row */
	       : row
		 {
		  	: text
		    	{
		     		value = "Layer DTM originale: ";
		     		width = 22;
		     		fixed_width = true;
		    	}
		  	: text
		    	{
		     		value = "";
		     		width = 16;
		     		key = "laymods";
		     		fixed_width = true;
		    	}
		  	: text
		    	{
		     		value = "N.tri.: ";
		     		width = 8;
		     		fixed_width = true;
		    	}
		  	: text
		    	{
		     		value = "0";
		     		width = 5;
		     		key = "triangolis";
		     		fixed_width = true;
		    	}
		 } /* row */
	       : row
		 {
		  	: text
		    	{
		     		value = "Layer DTM progetto: ";
		     		width = 22;
		     		fixed_width = true;
		    	}
		  	: text
		    	{
		     		value = "";
		     		width = 16;
		     		key = "laymodi";
		     		fixed_width = true;
		    	}
		  	: text
		    	{
		     		value = "N.tri.: ";
		     		width = 8;
		     		fixed_width = true;
		    	}
		  	: text
		    	{
		     		value = "0";
		     		width = 5;
		     		key = "triangolii";
		     		fixed_width = true;
		    	}
		 } /* row */

	       : boxed_row
		 {
		  	label = "Decimali per i calcoli";
		  	: row
		    	{
		     		: text
		       	{
					value = "Distanza: ";
					width = 10;
		       	}
		     		: edit_box
		       	{
					value = "2";
					key = "decdist";
					edit_width = 5;
		       	}
		     		: text
		       	{
					value = "";
					width = 12;
		       	}
		     		: text
		       	{
					value = "Area: ";
					width = 6;
		       	}
		     		: edit_box
		       	{
					value = "2";
					key = "decarea";
					edit_width = 5;
		       	}
		     		: text
		       	{
					value = "";
					width = 12;
		       	}
		     		: text
		       	{
					value = "Volume: ";
					width = 8;
		       	}
		     		: edit_box
		       	{
					value = "3";
					key = "decvol";
					edit_width = 5;
		       	}
		    	} /* row */
		} /* boxed_row */
	} /* boxed_row */
	: boxed_row
	{
		label = "Dati in output";
	      : column
		{
			: text
		    	{
		     		label = "Sterro:    ";
		     		width = 12;
		    	}
		  	: text
		    	{
		     		label = "Riporto:   ";
		     		width = 12;
		    	}
		  	: text
		    	{
		     		label = "Neutra :   ";
		     		width = 12;
		    	}
		  	: text
		    	{
		     		label = "Controlli: ";
		     		width = 12;
		    	}
		}
		: column
		{
		  	: text
		    	{
		     		label = "Area [mq]:     ";
		     		width = 15;
		    	}
		  	: text
		    	{
		     		label = "Area [mq]:     ";
		     		width = 15;
		    	}
		  	: text
		    	{
		     		label = "Area [mq]:     ";
		     		width = 15;
		    	}
		  	: text
		    	{
		     		label = "Area tot. [mq]:";
		     		width = 15;
		    	}
		}
		: column
		{
		  	: text
		    	{
		     		value = "           0.0";
		     		key = "areamods";
		     		width = 14;
		    	}
		  	: text
		    	{
		     		value = "           0.0";
		     		key = "areamodi";
		     		width = 14;
		    	}
		  	: text
		    	{
		     		value = "           0.0";
		     		key = "areaneutra";
		     		width = 14;
		    	}
		  	: text
		    	{
		     		value = "           0.0";
		     		key = "areadif";
		     		width = 14;
		    	}
		}
		: column
		{
		  	: text
		    	{
		     		label = " Volume [mc]: ";
		     		width = 13;
		    	}
		  	: text
		    	{
		     		label = " Volume [mc]: ";
		     		width = 13;
		    	}
		  	: text
		    	{
		     		label = " Volume [mc]: ";
		     		width = 13;
		    	}
		  	: text
		    	{
		     		label = "Diff. Volume [mc]: ";
		     		width = 13;
		    	}
		}
		: column
		{
		  	: text
		    	{
		     		value = "             0.0";
		     		key = "volmods";
		     		width = 16;
		    	}
		  	: text
		    	{
		     		value = "             0.0";
		     		key = "volmodi";
		     		width = 16;
		    	}
		  	: text
		    	{
		     		value = "                ";
		     		width = 16;
		    	}
		  	: text
		    	{
		     		value = "             0.0";
		     		key = "voldif";
		     		width = 16;
		    	}
		 } /* column */
	} /* boxed_row */
	: boxed_row
	{
		label = "Opzioni di disegno";
		 : toggle
		 {
		     	label = "Disegna triangoli";
			key = "distri";
			value = "0";
		 } /* toggle */
		 : column
		 {
			: text			  
			{
			   value = "Layer sterri: ";
			   key = "tlayst";
			   fixed_width = true;
			   width = 12;
			}
			: text
			{
			   value = "Layer riporti: ";
			   key = "tlayri";
			   fixed_width = true;
			   width = 12;
			}
			: text
			{
			   value = "Layer neutro: ";
			   key = "tlayne";
			   fixed_width = true;
			   width = 12;
			}
		} /* column */
		: column
		{
			: edit_box
			{
			   key = "layst";
			   fixed_width = true;
			   width = 40;
			}
			: edit_box
			{
			   key = "layri";
			   fixed_width = true;
			   width = 40;
			}
			: edit_box
			{
			   key = "layne";
			   fixed_width = true;
			   width = 40;
			}
		} /* column */
		: column
		{
			: button
			{
			   label = "Seleziona...";
			   key = "SelLayerst";
			} /* button */
			: button
			{
			   label = "Seleziona...";
			   key = "SelLayerri";
			} /* button */
			: button
			{
			   label = "Seleziona...";
			   key = "SelLayerne";
			} /* button */
		} /* column */
	}
	: row
	{
	    	: text
	 	{
		  	key = "msg";
		  	width = 42;
		 	value = "";
		}
	      : text
		{
			key = "msg_tri";
			width = 23;
			value = "";
		}
     	}
	: text
	{
	       key = "msg_err";
	       width = 65;
	       value = "";
	}
	: row
	{
	       : button
		 {
		  label = "Calcola";
		  key = "Calcola";
		 } /* button */
	       : button
		 {
		  label = "Stampa";
		  key = "Stampa";
		 } /* button */
	       : button
		 {
		  label = "OK";
		  key = "accept";
		  is_default = true;
		 } /* button */
	       : button
		 {
		  label = "Annulla";
		  key = "cancel";
		  is_cancel = true;
		 } /* button */
		: button
		 {
		  label = "?";
		  key = "help";
		  /*is_cancel = true;*/
		 } /* button */
	      } /* row */
	} /* fine dialog */

/* ----------------------------- DDStampaVVSR --------------------------------*/
/* gestisce dati per la stampa dei calcoli volumi modelli                   */
/* richiamata dal pulsante 'Stampa...' del riquadro precedente              */
DDStampaVVSR : dialog
	   {
	    label = "Stampa volumi modelli";
	    : row
	      {
	       : boxed_radio_column
		 {
		  label = "Tipo stampa";
		  key = "stampa";
		  : radio_button
		    {
		     label = "Veloce";
		     key = "svel";

		    }
		   : radio_button
		     {
		      label = "Dettagliata";
		      key = "sdett";

		     }
		   : radio_button
		     {
		      label = "Riepilogo";
		      key = "sriep";

		     }
		 } /* boxed_radio column */
	       : column
		 {
		  : boxed_column
		    {
		     label = "Disegno";
		     : toggle
		       {
			label = "Numero su poligoni";
			key = "numtrisr";
		       } /* toggle */
		     : row
		       {
			: text
			  {
			   value = "Layer Numeri sterri: ";
			   key = "tlaynst";
			   fixed_width = true;
			   width = 12;
			  }
			: edit_box
			  {
			   key = "laynst";
			   fixed_width = true;
			   width = 40;
			  }
			: button
			  {
			   label = "Seleziona...";
			   key = "SelLayernst";
			  } /* button */
		       } /* row */
		     : row
		       {
			: text
			  {
			   value = "Layer Numeri riporti: ";
			   key = "tlaynri";
			   fixed_width = true;
			   width = 12;
			  }
			: edit_box
			  {
			   key = "laynri";
			   fixed_width = true;
			   width = 40;
			  }
			: button
			  {
			   label = "Seleziona...";
			   key = "SelLayernri";
			  } /* button */
		       } /* row */
		    } /* boxed_column */
		  : text
		    {
		     label = "";
		    }
		 } /* column */
	      } /* row */
	    : text
	      {
	       value = "";
	       key = "msg_err";
	       width = 65;
	      }
	    : row
	      {
	       : button
		 {
		  label = "Imposta Stampante...";
		  key = "ImpStampa";
		 } /* button */
	       : button
		 {
		  label = "Stampa/Esporta WORD";
		  key = "accept";
		  is_default = true;
		 } /* button */
	       : button
		 {
		  label = "OK";
		  key = "cancel";
		  is_cancel = true;
		 } /* button */
	      } /* row */
	   } /* dialog */

